Subject: [Anima] draft-ietf-anima-bootstrapping-keyinfra: assertions other than "proximity"?

From: Esko Dijk <[email-masked]>
Date: Thu, 23 Aug 2018 14:28:58 +0000

Dear all,

In draft-ietf-anima-bootstrapping-keyinfra-16 the "assertion" field seems mandatory in a voucher request by the Pledge, looking at Section 3.1 and the YANG definition. But one example of a possible value in the voucher request is "TBD" in Section 3.2.  This doesn't appear in the allowed assertion strings by RFC 8366, so should this be fixed in the text?  Maybe "logged" is intended there?

In general what types of assertions could a Pledge use if not "proximity"?  The RFC 8366 descriptions are all written with a voucher in mind, not a voucher request.
Perhaps the BRSKI document could detail this aspect more - if not described elsewhere at least.

Best regards
Esko Dijk

---

From: Michael Richardson <[email-masked]>
Date: Thu, 23 Aug 2018 12:49:51 -0400

Thanks for careful read that revealed this point.
I've popped your email into an issue:
     https://github.com/anima-wg/anima-bootstrap/issues/71

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-